Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class Functions

    java.lang.Object
      OOXMLconvert.Functions

    public class Functions

extends java.lang.Object

Constructor Summary
`Functions()`

Method Summary
`static java.io.File` | `getSettingsDirectory()` Funkcia nájde domovský adresár a prípadne vytvorí adresár, kam sa budú ukladať nastavenia
`static int` | `intValDef(java.lang.Object o, int defaultValue)` Funkcia konvertuje Object na integer.
`static java.lang.Object` | `readLocalProperty(java.lang.String key, java.lang.String defaultVal)` Funkcia číta vlastnosť uloženú v súbore s vlastnosťami.
`static boolean` | `writeLocalProperty(java.lang.String key, java.lang.String val)` Funkcia zapisuje vlastnosť do súboru s vlastnosťami.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Functions

    public Functions()

Method Detail

### getSettingsDirectory

    public static java.io.File getSettingsDirectory()

  Funkcia nájde domovský adresár a prípadne vytvorí adresár, kam sa budú ukladať nastavenia

  Returns:
    adresár s nastaveniami

### readLocalProperty

    public static java.lang.Object readLocalProperty(java.lang.String key,
                                                     java.lang.String defaultVal)

  Funkcia číta vlastnosť uloženú v súbore s vlastnosťami.

  Parameters:
    `key` - kľúč vlastnosti
    `defaultVal` - default hodnota, ktorá sa použije v prípade, že sa nepodarí prečítať vlastnosť s daným kľúčom
  Returns:
    vlastnosť s daným kľúčom, prípadne default hodnotu

### writeLocalProperty

    public static boolean writeLocalProperty(java.lang.String key,
                                             java.lang.String val)

  Funkcia zapisuje vlastnosť do súboru s vlastnosťami.

  Parameters:
    `key` - kľúč vlastnosti
    `val` - hodnota vlastnosti
  Returns:
    true ak nenastala chyba, false inak

### intValDef

    public static int intValDef(java.lang.Object o,
                                int defaultValue)

  Funkcia konvertuje Object na integer.

  Parameters:
    `o` - Object na skonvertovanie
    `defaultValue` - default hodnota
  Returns:
    číselná hodnota objektu

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD